Wine "Режим совместимости должен быть выключен"

279
zicameau

Итак, у меня есть программа, которую мне нужно запустить на моем ноутбуке Ubuntu 18.04, которая называется LockedBrowser, и у меня возникают проблемы с ее запуском. После установки winecfg я установил Wine и установил Locked Browser на машину Wine.

Теперь, когда я пытаюсь запустить LockedBrowser с Wine, появляется всплывающее окно перед тем, как начать говорить «Режим совместимости должен быть отключен», а затем автоматически закрывается.

Теперь я знаю, что это обычно появляется, когда вы запускаете программу не на том компьютере с Windows, поэтому я пробовал другие версии Windows на winecfg, но безуспешно.

Тогда я подумал, что, возможно, exe был создан для 32-битной системы, поэтому я создал 32-битный экземпляр Wine и попробовал его снова с теми же проблемами.

После запуска этой последней кирпичной стены я решил попробовать использовать виртуальную машину, которая после того, как я установил машину с Windows 10, обнаружила, что программа не позволяет использовать себя на машине с Windows 10.

Поэтому сейчас я пытаюсь установить удаленное соединение с VNC или Teamviewer с моего ноутбука Ubuntu на мой компьютер с Windows 10.

Буду очень признателен за любую помощь в этом вопросе, спасибо, что нашли время, чтобы прочитать это, и дайте мне знать, если я могу предоставить что-нибудь, чтобы помочь вам помочь мне.

0
Так в чем же вопрос? (1) заставить его работать в Wine, или (2) заставить его работать в Windows 10. Во втором случае вы можете на вкладке `.exe`, Свойства, Совместимость установить запустить эту программу в версии Windows что это нравится. harrymc 4 года назад 1
Я хочу заставить его работать на Wine, это моя главная цель. Однако, если я не могу, я хотел бы использовать любые другие опции, которые я упомянул, чтобы заставить это работать. zicameau 4 года назад 0

1 ответ на вопрос

2
harrymc

Проблема может быть в версии Windows, которая для Wine по умолчанию является XP.

Приложение может быть создано для более новой версии (версий) Windows, поэтому считает, что вы установили в XP режим совместимости для его исполняемого файла (в Windows: Свойства, вкладка «Совместимость», «Запустить эту программу в режиме совместимости для:»).

Вы можете попытаться изменить версию Windows на более высокую, хотя это изменение носит косметический характер: Wine будет сообщать об этой версии по запросу, но всегда будет работать одинаково (что означает режим XP для системных вызовов). Так что нет никаких гарантий, что это будет работать.

Обратитесь к документации Winecfg, чтобы узнать, как изменить настройки для всех приложений («Настройки по умолчанию») или для конкретного приложения (которое переопределяет настройки по умолчанию).

Похожие вопросы